@charset "utf-8";



/** 対象となる方  
-------------------------------------------------------------------- */
section#requirement .container {
    margin-top: var(--m6);
    gap: var(--m4);
}
section:where(#requirement) .block {
    flex-basis: 25%;
    background: var(--light);
    box-shadow: inset 0 0 0 1px var(--pale);
    border-radius: 24px;
    padding-block: var(--m2);
    padding-inline: var(--m);
}
section#requirement h3 {
    margin-top: 0.5lh;
    text-align: center;
    letter-spacing: 0.08ic;
}
section#requirement .note {
    margin-top: var(--m6);
    margin-inline: var(--m8);
}

@media screen and (max-width: 767px) {
    section#requirement .container {
        margin-top: var(--m3);
        padding-inline: var(--m2);
        gap: var(--m);
    }
    section#requirement .block img {
        width: 80%;
        margin-inline: auto;
    }
    section#requirement h3 {
        margin-top: 0.7lh;
        letter-spacing: 0;
    }
    section#requirement .note {
        margin-top: var(--m3);
        margin-inline: var(--m2);
    }
}



/** 就労継続支援B型とは？  
-------------------------------------------------------------------- */
section#outline {
    background: var(--pale);
}

@media screen and (max-width: 767px) {}



/** 「B型」の大きな特徴  
-------------------------------------------------------------------- */
section#feature {
    padding-bottom: calc(210 * var(--px));
    margin-bottom: calc(270 * var(--px) + var(--m4));
    position: relative;
}
section#feature .image {
    max-width: 490px;
    position: absolute;
    left: 50%;
    top: calc(100% - var(--m10));
    translate: -50% 0;
}

@media screen and (max-width: 767px) {
    section#feature {
        margin-bottom: var(--m9);
    }
    section#feature .image {
        width: 80%;
    }
}


/** どんな人が利用できるの？  
-------------------------------------------------------------------- */
section#target .container {
    margin-top: var(--m4);
    margin-inline: var(--m2);
    justify-content: center;
    gap: var(--m4);
}

section:where(#target) .block {
    flex-basis: 45%;
    flex-grow: 0 !important;
    display: flex;
    align-items: center;
    gap: 1ic;
}
section#target .block img {
    flex: 0 0 auto;
    width: calc(100 * var(--px));
}
section#target .block h4 {
    font-size: var(--headline-size);
    letter-spacing: 0.06ic;
}
section#target .note {
    margin-top: var(--m6);
    margin-inline: var(--m8);
}

@media screen and (max-width: 767px) {
    section#target .block {
        flex-direction: column;
    }
    section#target .note {
        margin-top: var(--m3);
        margin-inline: var(--m2);
    }
}


/** 「A型」との違いは？  
-------------------------------------------------------------------- */
section#difference table {
    --b-size: 21px;
    --small-size: 15px;
}
section#difference .small {
    font-size: var(--small-size);
}
section#difference :is(th, td) {
    vertical-align: middle;
}
section#difference th {
    width: 10%;
    font-weight: 400;
}
section#difference td {
    width: 45%;
    height: var(--m6);
    padding-block: var(--m2);
    text-align: center;
    line-height: 1.2;
    font-weight: 700;
    position: relative;
}
section#difference td:first-of-type {
    font-size: var(--b-size);
    color: white;
    padding-inline: var(--m2);
    background: var(--main);
}
section#difference tr:not(:last-of-type) td::after {
    display: block;
    width: calc(100% - var(--m4));
    height: 1px;
    background: rgb(from currentColor r g b / 0.5);
    position: absolute;
    left: 50%;
    bottom: 0;
    translate: -50% 0;
}
section#difference tr:first-of-type td:first-of-type {
    border-radius: 12px 12px 0 0;
}
section#difference tr:last-of-type td:first-of-type {
    border-radius: 0 0 12px 12px;
}
section#difference tr:first-of-type td:last-of-type {
    vertical-align: top;
    padding-top: 0;
}
section#difference td:last-of-type {
    padding-inline: var(--m4) 0;
}
section#difference tr:not(:last-of-type) td:last-of-type::after {
    left: auto;
    right: 0;
    translate: none;
}
section#difference tr:first-of-type td:last-of-type span {
    display: block;
    padding-block: var(--m2);
    background: var(--sub);
    border-radius: 12px;
    color: white;
}

@media screen and (max-width: 767px) {
    section#difference table {
        --b-size: 16px;
        --small-size: 11px;
        width: calc(100% + var(--m2));
        margin-inline: calc(-1 * var(--m));
    }
    section#difference :is(table, th, td) {
        display: block;
    }
    section#difference tr {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
    }
    section#difference tr + tr {
        margin-top: var(--m2);
    }
    section#difference th {
        width: 100%;
        padding-bottom: 0.3lh;
        border-bottom: 1px solid rgb(from currentColor r g b / 0.5);
        margin-bottom: 0.5lh;
        text-align: center;
        font-size: var(--headline-size);
        font-weight: 700;
    }
    section#difference td {
        width: 50%;
        height: auto;
        align-self: stretch;
        padding-block: var(--m);
    }
    section#difference td:first-of-type {
        padding-inline: 0.5ic;
        border-radius: 9px;
    }
    section#difference td:last-of-type {
        padding-left: var(--m);
        padding-block: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        font-weight: 400;
    }
    section#difference tr:is(:first-of-type, :last-of-type) td:first-of-type {
        border-radius: 9px;
    }
    section#difference tr:not(:last-of-type) td::after {
       display: none;
    }
    section#difference tr:first-of-type td:last-of-type span {
        width: 100%;
        display: grid;
        place-items: center;
        padding-block: var(--m);
    }
}


/** 見学  
-------------------------------------------------------------------- */
section:where(#lead) .text + img {
    width: calc(500 * var(--px));
}
@media screen and (max-width: 767px) {}



/** 主なお仕事内容  
-------------------------------------------------------------------- */
section#work {
    background: var(--light);
}
section#work .container {
    margin-top: var(--m4);
    gap: var(--m4);
}
section:where(#work) .block {
    flex-basis: 25%;
    text-align: center;
}
section#work h3 {
    font-size: var(--headline-size);
    margin-block: 0.7lh 0.3lh;
}
section#work p {
    margin-inline: var(--m);
}

@media screen and (max-width: 767px) {
    section#work .container {
        padding-inline: var(--m2);
        gap: var(--m3);
    }
}



/** 1日のスケジュール  
-------------------------------------------------------------------- */
section#schedule {
     background: var(--light);
}
section#schedule .container {
    margin-top: var(--m4);
    gap: var(--m4);
}
section:where(#schedule) .block {
    flex-basis: 25%;
    text-align: center;
    position: relative;
}
section#schedule .time {
    width: max-content;
    box-sizing: content-box;
    padding-block: 0.3lh;
    padding-inline: 0.7ic;
    background: var(--main);
    border-radius: 12px;
    color: white;
    font-size: var(--headline-size);
    font-weight: 700;
    line-height: 1.2;
    display: flex;
    align-items: center;
    gap: 0.5ic;
    position: absolute;
    left: 50%;
    top: 0;
    translate: -50% -50%;
    z-index: 20;
}
section#schedule .block:nth-of-type(even) .time {
    background: var(--sub);
}
section#schedule .time img[src*="icon-time"] {
    height: 1lh;
}
section#schedule h3 {
    font-size: 30px;
    margin-top: 0.5lh;
}
section#schedule .block:last-of-type {
    translate: 0 -100%;
    flex-basis: 60%;
    align-self: center;
    text-align: left;
}


@media screen and (max-width: 767px) {
    section#schedule .block {
        padding-inline: var(--m3);
    }
    section#schedule .time {
        font-size: var(--regular-size);
    }
    section#schedule h3 {
        font-size: var(--headline-size);
    }
    section#schedule .block:last-of-type {
        translate: none;
        flex-basis: 100%;
        padding-inline: var(--m2);
    }
}



/** よくあるご質問  
-------------------------------------------------------------------- */
section#faq {
    
}
/** アコーディオン */
details {
    padding-inline: var(--m4);
}
details + details {
    margin-top: var(--m6);
}

/* :root>interpolate-size: allow-keywords;時に有効 */
@media (prefers-reduced-motion: no-preference) { /* ユーザが視差効果の制限をしていないときの条件式 */
    details::details-content {
        overflow: clip;
        transition-duration: 0.3s;
        transition-property: content-visibility, block-size;
        transition-behavior: allow-discrete; /* 離散アニメーションの許可 */
    }
}
details:not([open])::details-content {
    block-size: 0;
}
details :is(summary, .text) {
    padding-block: var(--m3);
    padding-left: calc(115 * var(--px));
    line-height: 1.5;
    position: relative;
}
details summary {
	list-style: none;
	cursor: pointer;
	position: relative;
    font-size: 27px;
}
details .text {
    border-top: 1px solid currentColor;
} 
details img[src*="icon-"] {
    width: 69px;
    position: absolute;
    left: 0;
    top: var(--m3);
}
details summary img[src*="icon-"] {
    translate: 0 calc(-1 * (69px - 27px * 1.5) / 2);
}
details .text img[src*="icon-"] {
    translate: 0 calc(-1 * (69px - var(--regular-size) * 1.5) / 2);
}

/* 開閉ボタンの独自実装 */
summary button {
	pointer-events: none;
}
details[open] summary button {}



@media screen and (max-width: 767px) {
    details {
        padding-inline: var(--m2);
        margin-inline: var(--m);
    }
    details + details {
        margin-top: var(--m4);
    }
    details :is(summary, .text) {
        padding-block: var(--m5) var(--m2);
        padding-left: 0;
    }
    details summary {
        width: fit-content;
        margin-inline: auto;
        text-align: center;
        font-size: calc(18 * var(--px));
    }
    details .text {
        padding-bottom: var(--m3);
    }
    details img[src*="icon-"] {
        width: 50px;
        left: 50%;
        translate: -50% -50% !important;
    }
}
